Package com.microblink.blinkid.view

# Enum Class NotSupportedReason

java.lang.Object
java.lang.Enum<NotSupportedReason>
com.microblink.blinkid.view.NotSupportedReason

All Implemented Interfaces:
  `Serializable`, `Comparable<NotSupportedReason>`, `Constable`

public enum NotSupportedReason extends Enum<NotSupportedReason>
Enum describing reason why scanning is not supported.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BLACKLISTED_DEVICE`
  Indicates that device has been blacklisted by developers because it is known that scanning will not work on it
  `CUSTOM_UI_FORBIDDEN`
  Indicates that set license key does not allow setting this view on custom activity.
  `INVALID_OR_MISSING_LICENSE`
  Indicates that current build configuration requires valid license to be set with either `MicroblinkSDK.setLicenseKey(String, Context)`, `MicroblinkSDK.setLicenseBuffer(byte[], Context)` or `MicroblinkSDK.setLicenseFile(String, Context)` before using the scanner and set license is not valid
  `NO_CAMERA`
  Indicates that device does not have camera
  `UNSUPPORTED_ANDROID_VERSION`
  Indicates that current version of android is not supported.
  `UNSUPPORTED_PROCESSOR_ARCHITECTURE`
  Indicates that device has a processor that is not supported (for example ARMv7 processor without NEON SIMD instruction support)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  `static NotSupportedReason`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static NotSupportedReason[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNSUPPORTED_ANDROID_VERSION

    public static final NotSupportedReason UNSUPPORTED_ANDROID_VERSION
    Indicates that current version of android is not supported. Newer Android version is required.

  - ### NO_CAMERA

    public static final NotSupportedReason NO_CAMERA
    Indicates that device does not have camera

  - ### BLACKLISTED_DEVICE

    public static final NotSupportedReason BLACKLISTED_DEVICE
    Indicates that device has been blacklisted by developers because it is known that scanning will not work on it

  - ### INVALID_OR_MISSING_LICENSE

    public static final NotSupportedReason INVALID_OR_MISSING_LICENSE
    Indicates that current build configuration requires valid license to be set with either `MicroblinkSDK.setLicenseKey(String, Context)`, `MicroblinkSDK.setLicenseBuffer(byte[], Context)` or `MicroblinkSDK.setLicenseFile(String, Context)` before using the scanner and set license is not valid

  - ### CUSTOM_UI_FORBIDDEN

    public static final NotSupportedReason CUSTOM_UI_FORBIDDEN
    Indicates that set license key does not allow setting this view on custom activity.

  - ### UNSUPPORTED_PROCESSOR_ARCHITECTURE

    public static final NotSupportedReason UNSUPPORTED_PROCESSOR_ARCHITECTURE
    Indicates that device has a processor that is not supported (for example ARMv7 processor without NEON SIMD instruction support)

- ## Method Details

  - ### values

    public static NotSupportedReason[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static NotSupportedReason valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getDescription

    @NonNull public String getDescription()